# Method: children.list

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#body.ChildList.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/children/list#try-it)

Lists a folder's children.

### HTTP request

`GET https://www.googleapis.com/drive/v2/files/{folderId}/children`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `folderId` | `string` The ID of the folder. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer` Maximum number of children to return. |
| `orderBy` | `string` A comma-separated list of sort keys. Valid keys are `createdDate`, `folder`, `lastViewedByMeDate`, `modifiedByMeDate`, `modifiedDate`, `quotaBytesUsed`, `recency`, `sharedWithMeDate`, `starred`, and `title`. Each key sorts ascending by default, but may be reversed with the `desc` modifier. Example usage: ?orderBy=folder,modifiedDate desc,title. Please note that there is a current limitation for users with approximately one million files in which the requested sort order is ignored. |
| `pageToken` | `string` Page token for children. |
| `q` | `string` Query string for searching children. |

### Request body

The request body must be empty.

### Response body

A list of children of a file.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "items": [ { object (`https://developers.google.com/workspace/drive/api/reference/rest/v2/children#ChildReference`) } ], "nextPageToken": string, "kind": string, "etag": string, "selfLink": string, "nextLink": string } ``` |

| Fields ||
|---|---|
| `items[]` | ``object (`https://developers.google.com/workspace/drive/api/reference/rest/v2/children#ChildReference`)`` The list of children. If nextPageToken is populated, then this list may be incomplete and an additional page of results should be fetched. |
| `nextPageToken` | `string` The page token for the next page of children. This will be absent if the end of the children list has been reached. If the token is rejected for any reason, it should be discarded, and pagination should be restarted from the first page of results. |
| `kind` | `string` This is always `drive#childList`. |
| `etag` | `string` The ETag of the list. |
| `selfLink` | `string` A link back to this list. |
| `nextLink` | `string` A link to the next page of children. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/docs`
- `
  https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.appdata`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.meet.readonly`
- `
  https://www.googleapis.com/auth/drive.metadata`
- `
  https://www.googleapis.com/auth/drive.metadata.readonly`
- `
  https://www.googleapis.com/auth/drive.photos.readonly`
- `
  https://www.googleapis.com/auth/drive.readonly`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).